function y = transformder(x)

% This function simply calculates the value of the derivative of the
% transformation used to ensure a parameter is always between 0 and 1:
% y=abs(x)/(1+abs(x))

if x >= 0
    y = 1/(1+x)^2;
else
    y = -1/(1-x)^2;
end;